﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Data;
using System.IO;
using System.Drawing;
using System.Drawing.Imaging;

public partial class Tickets_327691_Default : System.Web.UI.Page
{
    protected string ImagePath
    {
        get { return Server.MapPath("canyon.bmp"); }
    }

    protected void RotateButton_Click(object sender, EventArgs e)
    {
        Bitmap image = Bitmap.FromFile(ImagePath) as Bitmap;
        image.RotateFlip(RotateFlipType.Rotate90FlipNone);
        image.Save(ImagePath);
        image.Dispose();
    }

    protected void Page_PreRender(object sender, EventArgs e)
    {
        using (MemoryStream stream = new MemoryStream())
        {
            System.Drawing.Image image = Bitmap.FromFile(ImagePath);
            image.Save(stream, ImageFormat.Jpeg);
            RadBinaryImage1.DataValue = stream.ToArray();
            image.Dispose();
        }
    }
}